citadel_version: 4
metadata:
  name: Specter Desktop
  version: 2.1.1
  category: Wallets
  tagline: Multisig with hardware wallets made easy
  developers:
    Crypto Advance: https://specter.solutions
  description: |-
    Specter Desktop connects to the Bitcoin Core running on your Citadel and functions as a watch-only coordinator for multi-signature and single-key Bitcoin wallets. At the moment Specter Desktop is working with all major hardware wallets including:

    - Trezor
    - Ledger
    - KeepKey
    - BitBox02
    - ColdCard (optionally airgapped, using an SD card)
    - Electrum (optionally airgapped, if running Electrum on an airgapped computer/phone)
    - Specter DIY (optionally airgapped, using QR codes)
    - Cobo (airgapped, using QR codes)

    Specter Desktop also supports using the Bitcoin Core on your Citadel as a hot wallet, by importing or generating a random BIP39 mnemonic, but this feature is experimental and we do not recommend using it at this stage. We plan to add support for other hardware wallets as they come up.
  permissions:
  - bitcoind
  repo:
    Public: https://github.com/cryptoadvance/specter-desktop
  support: https://t.me/spectersupport
  gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  defaultPassword: null
services:
  main:
    image: lncm/specter-desktop:v2.1.1@sha256:cc3c718086efa4a906e0d6178e14288484cdf69c48d29becb58b8efd8524c5ef
    stop_signal: SIGINT
    command:
    - --host=0.0.0.0
    - --specter-data-folder=/data
    environment:
      BTC_RPC_PROTOCOL: http
      BTC_RPC_USER: $BITCOIN_RPC_USER
      BTC_RPC_HOST: $BITCOIN_IP
      BTC_RPC_PASSWORD: $BITCOIN_RPC_PASS
      BTC_RPC_PORT: $BITCOIN_RPC_PORT
    port: 25441
    mounts:
      bitcoin: /data/.bitcoin
      data:
        data: /data
